<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__sd__host__data__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_sd_host_data_config_t</compoundname>
    <includes local="no">cy_sd_host.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__sd__host__data__config__t_1ae1cac2445bb6f9be1b0ede804e793f73" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sd_host_data_config_t::blockSize</definition>
        <argsstring />
        <name>blockSize</name>
        <briefdescription>
<para>The size of the data block. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1589" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1589" />
      </memberdef>
      <memberdef id="structcy__stc__sd__host__data__config__t_1a59f8d7184b555abad2746d3e9b61f3b1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sd_host_data_config_t::numberOfBlock</definition>
        <argsstring />
        <name>numberOfBlock</name>
        <briefdescription>
<para>The number of blocks to send. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1590" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1590" />
      </memberdef>
      <memberdef id="structcy__stc__sd__host__data__config__t_1a8c6205390c0288816bcf15adab9a5b0d" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_sd_host_data_config_t::enableDma</definition>
        <argsstring />
        <name>enableDma</name>
        <briefdescription>
<para>Enables DMA for the transaction. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1591" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1591" />
      </memberdef>
      <memberdef id="structcy__stc__sd__host__data__config__t_1add879461d35f90bda10ff1fa88e1dce2" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__sd__host__enums_1ga6d2439309c4364371d8384781c5c8ba1">cy_en_sd_host_auto_cmd_t</ref></type>
        <definition>cy_en_sd_host_auto_cmd_t cy_stc_sd_host_data_config_t::autoCommand</definition>
        <argsstring />
        <name>autoCommand</name>
        <briefdescription>
<para>Selects which auto commands are used if any. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1592" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1592" />
      </memberdef>
      <memberdef id="structcy__stc__sd__host__data__config__t_1a6323584b2914fba017f7b76f1c4f4f35" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_sd_host_data_config_t::read</definition>
        <argsstring />
        <name>read</name>
        <briefdescription>
<para>true = Read from the card, false = Write to the card. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1593" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1593" />
      </memberdef>
      <memberdef id="structcy__stc__sd__host__data__config__t_1a126a82e1490856db29d0289d7a4f7959" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t *</type>
        <definition>uint32_t* cy_stc_sd_host_data_config_t::data</definition>
        <argsstring />
        <name>data</name>
        <briefdescription>
<para>The pointer to data to send/receive or the pointer to the DMA descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1594" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1594" />
      </memberdef>
      <memberdef id="structcy__stc__sd__host__data__config__t_1aa95b8223c41ad322b9f30a61d57119bb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sd_host_data_config_t::dataTimeout</definition>
        <argsstring />
        <name>dataTimeout</name>
        <briefdescription>
<para>The timeout value for the transfer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1597" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1597" />
      </memberdef>
      <memberdef id="structcy__stc__sd__host__data__config__t_1a45aeea11671d119f13f80068dc023c49" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_sd_host_data_config_t::enableIntAtBlockGap</definition>
        <argsstring />
        <name>enableIntAtBlockGap</name>
        <briefdescription>
<para>Enables the interrupt generation at the block gap. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1598" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1598" />
      </memberdef>
      <memberdef id="structcy__stc__sd__host__data__config__t_1acfbb149d641b32d609e4b702f9bc42e5" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_sd_host_data_config_t::enReliableWrite</definition>
        <argsstring />
        <name>enReliableWrite</name>
        <briefdescription>
<para>For EMMC enables the reliable write. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1599" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1599" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The SD Host data transfer configuration structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="1600" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1587" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1588" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__sd__host__data__config__t_1add879461d35f90bda10ff1fa88e1dce2" virt="non-virtual"><scope>cy_stc_sd_host_data_config_t</scope><name>autoCommand</name></member>
      <member prot="public" refid="structcy__stc__sd__host__data__config__t_1ae1cac2445bb6f9be1b0ede804e793f73" virt="non-virtual"><scope>cy_stc_sd_host_data_config_t</scope><name>blockSize</name></member>
      <member prot="public" refid="structcy__stc__sd__host__data__config__t_1a126a82e1490856db29d0289d7a4f7959" virt="non-virtual"><scope>cy_stc_sd_host_data_config_t</scope><name>data</name></member>
      <member prot="public" refid="structcy__stc__sd__host__data__config__t_1aa95b8223c41ad322b9f30a61d57119bb" virt="non-virtual"><scope>cy_stc_sd_host_data_config_t</scope><name>dataTimeout</name></member>
      <member prot="public" refid="structcy__stc__sd__host__data__config__t_1a8c6205390c0288816bcf15adab9a5b0d" virt="non-virtual"><scope>cy_stc_sd_host_data_config_t</scope><name>enableDma</name></member>
      <member prot="public" refid="structcy__stc__sd__host__data__config__t_1a45aeea11671d119f13f80068dc023c49" virt="non-virtual"><scope>cy_stc_sd_host_data_config_t</scope><name>enableIntAtBlockGap</name></member>
      <member prot="public" refid="structcy__stc__sd__host__data__config__t_1acfbb149d641b32d609e4b702f9bc42e5" virt="non-virtual"><scope>cy_stc_sd_host_data_config_t</scope><name>enReliableWrite</name></member>
      <member prot="public" refid="structcy__stc__sd__host__data__config__t_1a59f8d7184b555abad2746d3e9b61f3b1" virt="non-virtual"><scope>cy_stc_sd_host_data_config_t</scope><name>numberOfBlock</name></member>
      <member prot="public" refid="structcy__stc__sd__host__data__config__t_1a6323584b2914fba017f7b76f1c4f4f35" virt="non-virtual"><scope>cy_stc_sd_host_data_config_t</scope><name>read</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>